ActiveAdmin.register ::User do
  permit_params :email, :password, :password_confirmation, :admin, :api_key, :api_secret

  controller do
    require 'inherited_resources'
  end

  index do
    selectable_column
    id_column
    column :email
    column :current_sign_in_at
    column :sign_in_count
    column :created_at
    column :admin
    column :nexmo_developer_api_secret
    actions
  end

  filter :email
  filter :current_sign_in_at
  filter :sign_in_count
  filter :created_at
  filter :admin

  form do |f|
    f.inputs do
      f.input :email
      f.input :password
      f.input :password_confirmation
      f.input :api_key
      f.input :api_secret
      f.input :admin
    end
    f.actions
  end
end
