---
title: Overview
---

# Contribute

We're always looking at ways to improve our documentation and platform and would love to invite you to contribute your suggestions not only to the content but also the open-source platform that it is built upon.

## [Introduction to contributing](/contribute/guides/introduction)

An introductory guide for first time contributors to understand how and where contributions to Nexmo Developer documentation can be made.

## [Writing Style Guide](/contribute/guides/writing-style-guide)

The Writing Style Guide provides guidance and templates for how Nexmo Developer should be written and structured as well as what we use in place of API credentials and other variables throughout the guides.

## [Markdown Guide](/contribute/guides/markdown-guide)

The Markdown Guide provides examples of how to implement and use all the various components throughout Nexmo Developer from typography and headings to tabbed code examples and syntax highlighting.

## [Structure](/contribute/structure/overview)

The Structure section provides an overview of our documentation content types, which type to use and how our documentation content should be structured.

## [Code Examples](/contribute/guides/code-examples)

The Code Examples page provides examples of how to use tabbed code examples and syntax highlighting.

## [Platform](/contribute/guides/platform)

The platform guide goes into some of the details of how Nexmo Developer works internally including aspects such as Markdown handling, assets and supporting tools.

## [GitHub: Nexmo Developer](https://github.com/nexmo/nexmo-developer)

Nexmo Developer is an open-source platform built using a mix of Ruby on Rails, HTML, JavaScript (ES7 + Webpack), Sass and a custom Markdown parser. All of the tooling and documentation is available for you to contribute to or remix for your own project.

## [Contribution Guidelines](https://github.com/nexmo/nexmo-developer)

The Contribution Guidelines outline the process and steps for reporting bugs or suggesting features as well as the semantics of contributing to our codebase and dealing with pull requests.
