---
title: Use Cases
navigation_weight: 5
---

# Use Cases

Use Cases provide guidance on how to implement real-world scenarios using Vonage APIs and third-party APIs and products.

A Use Case is implemented as a single markdown file, but when the platform renders it, the headings appear as navigable steps on the right-hand side of the page:

![Sample use case](/assets/images/contributing/uc-example.png)

You have more flexibility when writing a use case than you do with a tutorial. Usually you will start by showing readers how to set up, configure and then run a demo project and then break it down to show how it works. But you might choose to adopt a more "step-by-step" approach. Ultimately, it's up to you.

> **Unsure if this is the right format?** Please read our [Tutorials and Use Cases guide](/contribute/guides/tutorials-and-use-cases) to help you decide.

If you are sure that a Use Case is what you need, please see our [Use Case guide](/contribute/tutorials-and-use-cases/use-cases) to learn how to create one.
