---
title: Creating a Use Case
navigation_weight: 2
---

# Creating a Use Case

A Use Case shows how readers how they might implement a real-world application.

Use Cases are simpler to write than Tutorials, because the entire content exists in a single markdown file.

> **Wait!** Are you sure that a Use Case is the right format for what you want to achieve? Please read our [Tutorials and Use Cases guide](/contribute/guides/tutorials-and-use-cases) before continuing.

Create the file for your Use Case in the appropriate language folder for your locale in the `_use_cases` directory, e.g. `_use_cases/en`, for English.

Begin your Use Case with a Level 1 heading (`#`) and suitable introductory paragraph.

Each main topic within your Use Case should be a Level 2 heading (`##`). You can create subheadings under each of the main topics, but please try to not go beyond Level 3 (`###`) unless absolutely necessary. Please avoid anything beyond a Level 4 (`####`) heading.

![Creating a Use Case](/assets/images/contributing/create-a-uc.png)

You should state any prerequisties, which can be either software or technical knowledge. At the end of the Use Case, provide a suitable conclusion and links to next steps (e.g. how could the user extend this example?) and further resources (links to API references, tutorials, and so on).
